#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m;
    scanf("%i",&n);
    scanf("%i",&m);
    if ((n<2)||(m<2))
    {
        printf("%i",n*m);
    }
    else
    {
        printf("%i",n*m-((n-2)*(m-2)+1)/2);
    }
}